Package org.apache.sling.feature.maven.extensions

# Class DependencyLifecycleParticipant

java.lang.Object
org.apache.maven.AbstractMavenLifecycleParticipant
org.apache.sling.feature.maven.extensions.DependencyLifecycleParticipant

@Named("featureparticipant") @Singleton public class DependencyLifecycleParticipant extends org.apache.maven.AbstractMavenLifecycleParticipant
Maven lifecycle participant which adds the artifacts of the model to the dependencies.

## Constructor Summary

Constructors
Constructor
Description
`DependencyLifecycleParticipant(org.codehaus.plexus.logging.Logger logger, org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager, org.eclipse.aether.RepositorySystem repoSystem)`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterProjectsRead(org.apache.maven.execution.MavenSession session)`

### Methods inherited from class org.apache.maven.AbstractMavenLifecycleParticipant

`afterSessionEnd, afterSessionStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyLifecycleParticipant

@Inject public DependencyLifecycleParticipant(org.codehaus.plexus.logging.Logger logger, org.apache.maven.artifact.handler.manager.ArtifactHandlerManager artifactHandlerManager, org.eclipse.aether.RepositorySystem repoSystem)

## Method Details

### afterProjectsRead

public void afterProjectsRead(org.apache.maven.execution.MavenSession session) throws org.apache.maven.MavenExecutionException

Overrides:
  `afterProjectsRead` in class `org.apache.maven.AbstractMavenLifecycleParticipant`
Throws:
  `org.apache.maven.MavenExecutionException`